> ## Documentation Index
> Fetch the complete documentation index at: https://docs.extractor.live/llms.txt
> Use this file to discover all available pages before exploring further.

# Change status of interceptors

> Set status to all triggers from extractor or not from extractor



## OpenAPI

````yaml /openapi.json post /api/v1/admin/interceptor/changeStatus
openapi: 3.0.3
info:
  title: Extractor Project (dev)
  version: 0.0.649
servers: []
security: []
paths:
  /api/v1/admin/interceptor/changeStatus:
    post:
      tags:
        - Admin Route
      summary: Change status of interceptors
      description: Set status to all triggers from extractor or not from extractor
      parameters:
        - name: isExtractorOnly
          in: query
          schema:
            description: >-
              If true, update interceptors will happens only for extractor
              related interceptors. If false, will update all NOT extractor
              related interceptors
            default: true
            type: boolean
        - name: status
          in: query
          schema:
            description: Interceptor status STARTED|STOPPED
            type: object
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JsonObject'
      security:
        - SecurityScheme: []
components:
  schemas:
    JsonObject:
      type: array
      items:
        type: object
        properties:
          key:
            type: string
          value: {}
  securitySchemes:
    SecurityScheme:
      type: http
      description: Authentication
      scheme: bearer
      bearerFormat: JWT

````